nxt.http

## Class SetPhasingOnlyControl

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.SetPhasingOnlyControl

-     public final class SetPhasingOnlyControl
      extends APIServlet.APIRequestHandler

  Sets an account control that blocks transactions unless they are phased with certain parameters

  Parameters

  - controlVotingModel - The expected voting model of the phasing. Possible values:
    - NONE(-1) - the phasing control is removed
    - ACCOUNT(0) - only by-account voting is allowed
    - NQT(1) - only balance voting is allowed
    - ASSET(2) - only asset voting is allowed
    - CURRENCY(3) - only currency voting is allowed
  - controlQuorum - The expected quorum.
  - controlMinBalance - The expected minimum balance
  - controlMinBalanceModel - The expected minimum balance model. Possible values:
    - NONE(0) No minimum balance restriction
    - NQT(1) Nxt balance threshold
    - ASSET(2) Asset balance threshold
    - CURRENCY(3) Currency balance threshold
  - controlHolding - The expected holding ID - asset ID or currency ID.
  - controlWhitelisted - multiple values - the expected whitelisted accounts
  - controlMaxFees - The maximum allowed accumulated total fees for not yet finished phased transactions.
  - controlMinDuration - The minimum phasing duration (finish height minus current height).
  - controlHolding - The maximum allowed phasing duration.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `allowRequiredBlockParameters()`
    `static java.util.List<java.lang.String>` | `getCommonParameters()`
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest request)`
    `protected boolean` | `requirePost()`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest request)
                                                            throws NxtException

      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Throws:
        `NxtException`

    - #### requirePost

          protected final boolean requirePost()

      Overrides:
        `requirePost` in class `APIServlet.APIRequestHandler`

    - #### allowRequiredBlockParameters

          protected final boolean allowRequiredBlockParameters()

      Overrides:
        `allowRequiredBlockParameters` in class `APIServlet.APIRequestHandler`

    - #### getCommonParameters

          public static java.util.List<java.lang.String> getCommonParameters()